Problema installazione spss 22

Utilizzo di applicazioni in ambito professionale.

Problema installazione spss 22

Messaggioda fabores » domenica 9 ottobre 2016, 15:32

Salve a tutti, ho un problema di installazione per SPSS 22, un programma statistico.
Faccio partire il file .bin dal terminale. Durante l'istallazione mi appare tale messaggio:
Preparing to install...
Extracting the JRE from the installer archive...
Unpacking the JRE...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...

Launching installer...

/tmp/install.dir.3255/Linux/resource/jre/jre/bin/java: 2: /tmp/install.dir.3255/Linux/resource/jre/jre/bin/java: Syntax error: "(" unexpected


Ho provato a vedere su vari forum come risolvere tale problematica. Ho cercato di inserire nel terminale tale comando:
sudo apt-get install ia32-libs

Ho ottenuto tale risultato:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto ia32-libs


Ho provato anche con questo comando:
sudo apt-get install libc6-i386

Ho ottenuto tale risultato:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Il pacchetto libc6-i386 non ha versioni disponibili, ma è nominato da un altro
pacchetto. Questo potrebbe indicare che il pacchetto è mancante, obsoleto
oppure è disponibile solo all'interno di un'altra sorgente
Tuttavia questi pacchetti lo sostituiscono:
libc6

E: Il pacchetto "libc6-i386" non ha candidati da installare


Ho provato anche con questo comando:
sudo apt-get install lib32ncurses5

Ho ottenuto tale risultato:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto lib32ncurses5


Come posso fare per risolvere tale problematica?
Vi ringrazio anticipatamente.
P.s.: ho come sistema operativo il 16.04 LTS a 32 bit
Non la forza ma la costanza di un alto sentimento rende gli uomini superiori
Avatar utente
fabores
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 348
Iscrizione: marzo 2007
Località: Roma

Re: Problema installazione spss 22

Messaggioda dadexix86 » martedì 11 ottobre 2016, 13:50

ialibs32 serviva per utilizzare software a 32 bit su sistema a 64 bit PRIMA del multiarchitecture.

Per favore: segui sempre solo guide che si rifacciano alla tua versione di Ubuntu, che rischi di fare casini non indifferenti.

A leggere qui, su Ubuntu 14.04 c'è bisogno almeno del FP1 (ma credo che anche l'FP2 vada bene). Assicurati (come da istruzioni) di installarlo come amministratore (se mettessi il comando che lanci nel terminale sarebbe meglio per poterti aiutare).

(PS: Io nemmeno sapevo che SPSS esistesse ancora -.-' e nemmeno che si potesse usare su Linux :S )
Non si dà supporto tramite mp in forum
L'utilizzo del tasto [Code] quando scrivi in forum risolve i 2/3 dei tuoi problemi
Per problemi con Skype rivolgersi qui. | Un Matematico Migrante
dadexix86
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 16178
Iscrizione: marzo 2009
Località: Paris, France
Desktop: Unity
Distribuzione: Ubuntu 16.04 x86_64

Re: Problema installazione spss 22

Messaggioda fabores » martedì 11 ottobre 2016, 18:27

dadexix86 Immagine ha scritto:ialibs32 serviva per utilizzare software a 32 bit su sistema a 64 bit PRIMA del multiarchitecture.

Per favore: segui sempre solo guide che si rifacciano alla tua versione di Ubuntu, che rischi di fare casini non indifferenti.

A leggere qui, su Ubuntu 14.04 c'è bisogno almeno del FP1 (ma credo che anche l'FP2 vada bene). Assicurati (come da istruzioni) di installarlo come amministratore (se mettessi il comando che lanci nel terminale sarebbe meglio per poterti aiutare).

(PS: Io nemmeno sapevo che SPSS esistesse ancora -.-' e nemmeno che si potesse usare su Linux :S )

Dadexix86 non riesco a comprendere un passaggio della tua risposta. Tu parli del FP1 su Ubuntu 14.04. Io ho attualmente la versione 16.04 LTS. Devo installare per forza l'FP1 anche se ho una versione più recente di ubuntu?
Ti ringrazio anticipatamente per una tua risposta.
Non la forza ma la costanza di un alto sentimento rende gli uomini superiori
Avatar utente
fabores
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 348
Iscrizione: marzo 2007
Località: Roma

Re: Problema installazione spss 22

Messaggioda dadexix86 » martedì 11 ottobre 2016, 18:55

Sì, gli FP servono a correggere dei problemi (come quello che ricevi tu), quindi è sempre meglio in realtà installare l'ultimo.

Googlando ancora un po' ho trovato quest'ultimo post qui http://www.spssforum.com/viewtopic.php?f=2&t=11782 da cui sembra che Ubuntu non sia supportato da IBM...

E infatti, ecco i requisiti https://www.statcon.de/docs/infomateria ... rver22.pdf in cui non c'è Ubuntu.
SPSS 24 supporta Ubuntu (14.04, vedi http://www-969.ibm.com/software/reports ... 002%7CS001), ma il 22 no (solo RedHat e SUSE).
Non si dà supporto tramite mp in forum
L'utilizzo del tasto [Code] quando scrivi in forum risolve i 2/3 dei tuoi problemi
Per problemi con Skype rivolgersi qui. | Un Matematico Migrante
dadexix86
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 16178
Iscrizione: marzo 2009
Località: Paris, France
Desktop: Unity
Distribuzione: Ubuntu 16.04 x86_64

Re: Problema installazione spss 22

Messaggioda fabores » martedì 11 ottobre 2016, 19:05

dadexix86 Immagine ha scritto:Sì, gli FP servono a correggere dei problemi (come quello che ricevi tu), quindi è sempre meglio in realtà installare l'ultimo.

Googlando ancora un po' ho trovato quest'ultimo post qui http://www.spssforum.com/viewtopic.php?f=2&t=11782 da cui sembra che Ubuntu non sia supportato da IBM...

E infatti, ecco i requisiti https://www.statcon.de/docs/infomateria ... rver22.pdf in cui non c'è Ubuntu.
SPSS 24 supporta Ubuntu (14.04, vedi http://www-969.ibm.com/software/reports ... 002%7CS001), ma il 22 no (solo RedHat e SUSE).

Che bella notizia :p :p Ho beccato l'unica versione non supportata :p :p
Ora cercherò di prendere l'FP2 dal sito di IBM con la speranza di risolvere il problema. Ti terrò aggiornato.
Nel frattempo ti ringrazio per l'aiuto.
Non la forza ma la costanza di un alto sentimento rende gli uomini superiori
Avatar utente
fabores
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 348
Iscrizione: marzo 2007
Località: Roma

Re: Problema installazione spss 22

Messaggioda fabores » lunedì 14 novembre 2016, 11:18

Aggiornamento sulla situazione: sto provando a installare spss 23. Durante l'installazione mi compare il seguente messaggio:
Codice: Seleziona tutto
Preparing to install...
Extracting the JRE from the installer archive...
Unpacking the JRE...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...

Launching installer...

JRE libraries are missing or not compatible....
Exiting....

Come posso risolvere il problema?
Vi ringrazio in anticipo.
Ultima modifica di fabores il lunedì 14 novembre 2016, 11:56, modificato 1 volta in totale.
Non la forza ma la costanza di un alto sentimento rende gli uomini superiori
Avatar utente
fabores
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 348
Iscrizione: marzo 2007
Località: Roma

Re: Problema installazione spss 22

Messaggioda jackynet92 » lunedì 14 novembre 2016, 11:47

Per postare correttamente i risultati del terminale e/o listati sul forum basta:
    1. selezionare il testo del terminale
    2. tasto destro copia (in alternativa premere Ctrl + maiusc + C)
    3. incollare sul forum negli appropriati code, ovvero selezionare il testo e cliccare su Codice

[code ] qui inserisci il testo [ /code]

Codice: Seleziona tutto
in modo da ottenere qualcosa di simile


Modifica i QUOTE con i CODE.
Avatar utente
jackynet92
Moderatore Globale
Moderatore Globale
 
Messaggi: 13409
Iscrizione: settembre 2011
Località: Torino
Desktop: Mate
Distribuzione: Ubuntu 16.04 64bit
Sesso: Maschile

Re: Problema installazione spss 22

Messaggioda dadexix86 » lunedì 14 novembre 2016, 12:26

Avevi il 32 bit, sei passato al 64bit, come spiegato sui requisiti di sistema http://www-01.ibm.com/support/docview.w ... wg24038592 ?
Non si dà supporto tramite mp in forum
L'utilizzo del tasto [Code] quando scrivi in forum risolve i 2/3 dei tuoi problemi
Per problemi con Skype rivolgersi qui. | Un Matematico Migrante
dadexix86
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 16178
Iscrizione: marzo 2009
Località: Paris, France
Desktop: Unity
Distribuzione: Ubuntu 16.04 x86_64

Re: Problema installazione spss 22

Messaggioda fabores » mercoledì 16 novembre 2016, 16:05

Aggiornamento della situazione: sono riuscito ad installare spss 21 ma sussiste un ulteriore problema; il programma risulta installato, è presente nella sua directory ma quando provo ad aprire un file legato a spss, tra le varie opzioni di apertura dei vari programmi, non risulta essere presente spss.
Quali potrebbero essere le possibili soluzioni a tale problema?
Vi ringrazio anticipatamente.
Non la forza ma la costanza di un alto sentimento rende gli uomini superiori
Avatar utente
fabores
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 348
Iscrizione: marzo 2007
Località: Roma


Torna a Applicazioni professionali

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 2 ospiti